
Redmine - Feature #14006

A shortcut to view all issues of all projects

2013-05-08 09:33 - Ivan Yiu

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 30%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

From the topmost menu "Projects" -> "View all issues", we can retrieve all issue of all project. But after we go to a project by

selecting from the "Jump to a project" pull down list, there is no way for the user to view all issue from all project.

Again, user need to click the topmost "Project" link first then select "View all issues".

Please kindly help to provide a shortcut, e.g. An "All Projects" options in the "Jump to a project" pull down list, or provide options in

custom query to include all projects or a dedicate project.

Related issues:

Related to Redmine - Patch #14007: Patch for #14006 Closed

Related to Redmine - Defect #980: "For all projects" custom queries New 2008-04-03

Related to Redmine - Feature #5920: Unify and improve cross-project views layout Closed 2010-07-21

Related to Redmine - Feature #23310: Improved "jump to project" drop-down Closed

Has duplicate Redmine - Feature #11940: Add "view all projects' issues" link ... Closed

History

#1 - 2013-05-08 10:03 - Daniel Felix

- File add_shortcut_to_issues.diff added

- Category set to Issues

Take a look at #14007.

#2 - 2013-05-08 14:49 - Daniel Felix

Maybe you can give some feedback if this would solve your request.

#3 - 2013-05-08 16:45 - Ivan Yiu

i am new to REDMINE. Could you please provide more details how to use the diff file.

#4 - 2013-05-08 23:36 - Terence Mill

+1

#5 - 2013-05-09 01:00 - Jean-Baptiste Barth

That's why I personnally did on my instance at work, but I think it can be confusing for people with one or few projects. I already saw people who are

not familiar with redmine, they're completely lost about those scoping issues. Jean-Philippe proposed an other approach in #5920 (second

screenshot). Maybe a mitigation should be to display this link only if the user as more than 2 projects ?

#6 - 2013-05-09 03:52 - Ivan Yiu

Hi Jean,

Does the #5920 patch applicable to the new Redmine 2.3.0 ?

Thanks.

#7 - 2013-05-09 03:59 - Ivan Yiu

Dear Daniel,
I apply the patch file on Redmine 2.3.0 but failed.

$>patch -p0 < add_shortcut_to_issues.diff

can't find file to patch at input line 11

Perhaps you used the wrong -p or --strip option?

The text leading up to this was:

--------------------------

| app/views/issues/_sidebar.html.erb | 9 ++++++---

| config/locales/de.yml              | 1 +

| config/locales/en-GB.yml           | 1 +

| config/locales/en.yml              | 1 +

| 4 files changed, 9 insertions(+), 3 deletions(-)

|

|diff --git a/app/views/issues/_sidebar.html.erb b/app/views/issues/_sidebar.html.erb

|index dbf1918..a52ea3f 100644

|--- a/app/views/issues/_sidebar.html.erb

|+++ b/app/views/issues/_sidebar.html.erb

--------------------------

#8 - 2013-05-09 04:13 - Jean-Baptiste Barth

I don't advice you apply patches blindly, try to discuss the feature and then we'll see. Btw, the patch should be applied with -p1, not -p0. And maybe

there are extra lines at the top (the first 6 ones) that should be removed, not sure.

#9 - 2013-05-09 04:18 - Ivan Yiu

Jean-Baptiste Barth wrote:

I don't advice you apply patches blindly, try to discuss the feature and then we'll see. Btw, the patch should be applied with -p1, not -p0. And

maybe there are extra lines at the top (the first 6 ones) that should be removed, not sure.

 Thanks Jean, I just follow the wiki page [[http://www.redmine.org/projects/redmine/wiki/Patch]] to apply the patch.

I've update the wiki page already, hope this can help other user too.

#10 - 2013-05-09 04:22 - Ivan Yiu

Still fail .... I really don't know what's happening.

patch -p1 < add_shortcut_to_issues.diff

patching file app/views/issues/_sidebar.html.erb

Hunk #1 FAILED at 3.

1 out of 1 hunk FAILED -- saving rejects to file app/views/issues/_sidebar.html.erb.rej

patching file config/locales/de.yml

Hunk #1 succeeded at 644 (offset -1 lines).

patching file config/locales/en-GB.yml

patching file config/locales/en.yml

Hunk #1 succeeded at 549 (offset -1 lines).

root@scmpms:/opt/redmine-2.3.0-0/apps/redmine/htdocs>view app/views/issues/_sidebar.html.erb.rej

#11 - 2013-05-09 10:52 - Daniel Felix

Hi,

try it manualy.

Just add these lines

<% if User.current.allowed_to?(:view_issues, nil, :global => true) %>

<li><%= link_to(l(:label_overall_issues), issues_path) %></li>

<% end %>

beneath this line

<li><%= link_to l(:field_summary), project_issues_report_path(@project) %></li>

in source:trunk/app/views/issues/_sidebar.html.erb

And add these line to your en.yml:

label_overall_issues: Overall issues

Just regardless in which line. But be sure there will be two spaces in front of it.

You'll find them in source:/trunk/config/locales/en.yml

Best regards,
Daniel

#12 - 2013-05-09 12:00 - Ivan Yiu

- Status changed from New to Resolved

It's working. When user is in the scope of a specific project, the "Overall issues" link is available to bring the user back to "All Projects" scope.

Thanks.

#13 - 2013-05-12 03:04 - Toshi MARUYAMA

- Status changed from Resolved to New

- % Done changed from 0 to 30

Not yet committed, so change status to "New".

#14 - 2013-08-09 09:54 - Daniel Felix

Hi there,

any news on this patch?

Best regards,

Daniel

#15 - 2014-12-23 10:57 - Go MAEDA

- Has duplicate Feature #11940: Add "view all projects' issues" link to issues sidebar added

#16 - 2014-12-24 00:49 - Go MAEDA

- Related to Defect #980: "For all projects" custom queries added

#17 - 2016-01-04 10:47 - Go MAEDA

- Related to Feature #5920: Unify and improve cross-project views layout added

#18 - 2017-01-11 01:00 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Implemented in r16172 as a part of #23310.

It will be available in upcoming 3.4.0.
#19 - 2017-01-11 01:00 - Go MAEDA

- File all-projects-link.png added

#20 - 2017-01-11 01:17 - Go MAEDA

- Related to Feature #23310: Improved "jump to project" drop-down added

Files

add_shortcut_to_issues.diff 2.67 KB 2013-05-08 Daniel Felix

all-projects-link.png 27.1 KB 2017-01-11 Go MAEDA
